import type { JSX } from '../../stencil-public-runtime';
import type { KoliBriTableDataType, KoliBriTableHeaders, KoliBriTablePaginationProps, LabelPropType, PaginationPositionPropType, Stringified, TableAPI, TableStates } from '@public-ui/schema';
export declare class KolTable implements TableAPI {
    private horizontal;
    private sortFunction?;
    private sortDirections;
    private sortData;
    private showPagination;
    private pageStartSlice;
    private pageEndSlice;
    private disableSort;
    private tableDivElement?;
    private tableDivElementResizeObserver?;
    private tableDivElementHasScrollbar;
    private sortedColumnHead;
    _allowMultiSort?: boolean;
    _data: Stringified<KoliBriTableDataType[]>;
    _dataFoot?: Stringified<KoliBriTableDataType[]>;
    _headers: Stringified<KoliBriTableHeaders>;
    _label: string;
    _minWidth?: string;
    _pagination?: boolean | Stringified<KoliBriTablePaginationProps>;
    _paginationPosition?: PaginationPositionPropType;
    state: TableStates;
    validateAllowMultiSort(value?: boolean): void;
    validateData(value?: Stringified<KoliBriTableDataType[]>): void;
    validateDataFoot(value?: Stringified<KoliBriTableDataType[]>): void;
    validatePaginationPosition(value?: PaginationPositionPropType): void;
    private setSortDirection;
    private changeCellSort;
    validateHeaders(value?: Stringified<KoliBriTableHeaders>): void;
    validateLabel(value?: LabelPropType): void;
    validateMinWidth(value?: string): void;
    private readonly handlePagination;
    validatePagination(value?: boolean | Stringified<KoliBriTablePaginationProps>): void;
    componentDidRender(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    private checkDivElementScrollbar;
    componentWillLoad(): void;
    private getNumberOfCols;
    private getNumberOfRows;
    private filterHeaderKeys;
    private getPrimaryHeader;
    private createDataField;
    private selectDisplayedData;
    private cellRender;
    private updateSortedData;
    private readonly renderTableRow;
    private readonly renderTableCell;
    private readonly renderFoot;
    private renderPagination;
    render(): JSX.Element;
}
